Bug 466994 - Publican doesn't allow underscores or numbers in entity names
Publican doesn't allow underscores or numbers in entity names
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 20:07 EDT by Jared Smith
Modified: 2010-11-23 23:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 20:59:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2008-10-14 20:07:09 EDT
Description of problem:

Publican is overly strict on the name of XML entites.  It should allow all valid entity names.

Version-Release number of selected component (if applicable):

0.37

How reproducible:

Easily

Steps to Reproduce:
1. create_book --name=blah
2. add '<!ENTITY TEST_ENTITY "To be filled out later">' to en-US/blah.ent
3. add '&TEST_ENTITY;' to one of the .xml files
4. Generate HTML and PDF version of the book
  
Actual results:
You'll see the literal text '&TEST_ENTITY;' in the document

Expected results:

The entity should be replaced by its definition.  In other words, you should see the text "To be filled out later" in the document.

Additional info:
Discussed with jfearn on IRC, and he confirms that it's a bug in the Perl code that munges the XML.
Comment 1 Jeff Fearn 2008-10-14 20:59:08 EDT
Changed regex in xmlClean to also match underscores and numerals.
Comment 2 Fedora Update System 2008-10-16 18:44:01 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 3 Fedora Update System 2008-11-06 21:55:20 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.